Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » Cannot install MTJ on Juno
Cannot install MTJ on Juno [message #986034] Sat, 17 November 2012 19:13 Go to next message
Dave Donald is currently offline Dave Donald
Messages: 26
Registered: January 2012
Junior Member
As title.

I went to "install new software"
in the work with I selected "http://download.eclipse.org/releases/indigo/201106220900"

than I select mobile tools for java, mobile tools for java examples and mobile tools for java SDK and I get this error.

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,antenna.preprocessor.v3,1.3.0.201106060709
No repository found containing: osgi.bundle,de.schlichtherle.truezip,6.6.0.201106060709
No repository found containing: osgi.bundle,javax.servlet,2.5.0.v201103041518
No repository found containing: osgi.bundle,jmunit.framework,1.2.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.branding,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.core,1.2.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.core.hooks,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.core.hooks.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.core.source,1.2.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.doc.isv,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.doc.user,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.eswt.templates,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.eswt.templates.source,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.example.library,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.example.library.source,1.0.0.201106060709
No repository found containing: org.eclipse.update.feature,org.eclipse.mtj.examples,1.1.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.jadextension,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.jadextension.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.templates,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.templates.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp,1.0.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp.source,1.0.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp2,1.0.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkit.sdkprovidertestclamp2.source,1.0.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkits,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.examples.toolkits.source,1.0.0.201106060709
No repository found containing: org.eclipse.update.feature,org.eclipse.mtj,1.1.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.jmunit,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.jmunit.source,1.0.1.201106060709
No repository found containing: org.eclipse.update.feature,org.eclipse.mtj.sdk,1.1.2.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.templates,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.templates.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.cinterion,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.cinterion.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.microemu,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.microemu.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.mpowerplayer,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.mpowerplayer.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.nokia,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.nokia.source,1.0.0.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.uei,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.toolkit.uei.source,1.0.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.ui,1.2.1.201106060709
No repository found containing: osgi.bundle,org.eclipse.mtj.ui.source,1.2.1.201106060709
No repository found containing: osgi.bundle,org.mortbay.jetty.server,6.1.23.v201012071420
No repository found containing: osgi.bundle,org.mortbay.jetty.util,6.1.23.v201012071420


Is MTJ dead? Is there any way to install it on Juno?
Re: Cannot install MTJ on Juno [message #991396 is a reply to message #986034] Tue, 18 December 2012 21:52 Go to previous messageGo to next message
Ashish Shah is currently offline Ashish Shah
Messages: 1
Registered: December 2012
Junior Member
So many people have viewed this. But nobody seems to have found an answer?
This is so pointless. I get the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Java ME SDK Tools 1.0.0.201209212258 (com.oracle.jme.toolkit.feature.group 1.0.0.201209212258)
Missing requirement: MTJ Core Plug-in 1.2.1.201101310801 (org.eclipse.mtj.core 1.2.1.201101310801) requires 'bundle org.mortbay.jetty.server [6.1.0,7.0.0)' but it could not be found
Cannot satisfy dependency:
From: Device Selector 1.0.0.201209212258 (com.oracle.jme.toolkit.eclipse.deviceselector 1.0.0.201209212258)
To: bundle org.eclipse.mtj.core 0.0.0
Cannot satisfy dependency:
From: Java ME SDK Tools 1.0.0.201209212258 (com.oracle.jme.toolkit.feature.group 1.0.0.201209212258)
To: com.oracle.jme.toolkit.eclipse.deviceselector [1.0.0.201209212258]
Re: Cannot install MTJ on Juno [message #991597 is a reply to message #991396] Wed, 19 December 2012 20:30 Go to previous messageGo to next message
Dave Donald is currently offline Dave Donald
Messages: 26
Registered: January 2012
Junior Member
Quite disappointed from the oracle support.
Re: Cannot install MTJ on Juno [message #995869 is a reply to message #986034] Mon, 31 December 2012 10:58 Go to previous messageGo to next message
Orkis Amor is currently offline Orkis Amor
Messages: 1
Registered: December 2012
Junior Member
I failed to install eclipse-me-sdk on Juno, got the same kind of error messages.
Then, I changed to Indigo (eclipse-java-indigo-SR2), and the install succeeded. It might work for you, too.
Re: Cannot install MTJ on Juno [message #996770 is a reply to message #995869] Wed, 02 January 2013 21:36 Go to previous messageGo to next message
Dave Donald is currently offline Dave Donald
Messages: 26
Registered: January 2012
Junior Member
can't understand why in 2013 I need to use indigo on a non discontinued products to use JavaME.
Re: Cannot install MTJ on Juno [message #1007442 is a reply to message #996770] Tue, 05 February 2013 21:18 Go to previous messageGo to next message
Serban Var is currently offline Serban Var
Messages: 1
Registered: February 2013
Junior Member
If you read these release notes you will find the solution:

oracle.com/javame/dev-tools/jme-sdk-3.2/release-notes/pdf/release-notes.pdf

Install the MTJ toolkitand follow these steps:
a. Go to Help > Install New Software.
b. In the "Work with" field, enter this URL: http://download.eclipse.org/releases/indigo
c. Click Add. When the plugins are discovered, open the Mobile and Device Development Tools hierarchy and check Mobile Tools for Java Examples and Mobile Tools for Java SDK. Click Next.On the installation screen select all plugins and click Finish then click OK.
d. A Juno plugin named org.eclipse.jetty.server_.jar conflicts with the MTJ libraries when the plugin version is higher than 6. If it is you must prevent it from loading by changing its name so the Jar file is not parsed. Locate the file in your Juno installation's \plugins directory and change the extension from .jar to something else. For example, change it to: org.eclipse.jetty.server_.old
Re: Cannot install MTJ on Juno [message #1057958 is a reply to message #1007442] Fri, 10 May 2013 07:08 Go to previous message
cernis tang is currently offline cernis tang
Messages: 2
Registered: May 2013
Junior Member
Serban Var wrote on Tue, 05 February 2013 16:18
If you read these release notes you will find the solution:

oracle.com/javame/dev-tools/jme-sdk-3.2/release-notes/pdf/release-notes.pdf

Install the MTJ toolkitand follow these steps:
a. Go to Help > Install New Software.
b. In the "Work with" field, enter this URL: http://download.eclipse.org/releases/indigo
c. Click Add. When the plugins are discovered, open the Mobile and Device Development Tools hierarchy and check Mobile Tools for Java Examples and Mobile Tools for Java SDK. Click Next.On the installation screen select all plugins and click Finish then click OK.
d. A Juno plugin named org.eclipse.jetty.server_.jar conflicts with the MTJ libraries when the plugin version is higher than 6. If it is you must prevent it from loading by changing its name so the Jar file is not parsed. Locate the file in your Juno installation's \plugins directory and change the extension from .jar to something else. For example, change it to: org.eclipse.jetty.server_.old


Even I dont' have the plugin org.eclipse.jetty.server_.jar, it still can't work.
Previous Topic:build error - .mtj.tmp\emulation (Access is denied)
Next Topic:Import Netbeans project Fails
Goto Forum:
  


Current Time: Mon Sep 22 10:23:28 GMT 2014

Powered by FUDForum. Page generated in 0.01833 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software